{
  "name": "custom/netvisor/netvisor_export_invoice.json",
  "send_function":"netvisor_send_function",
  "conversion_preference": "convert/inv/custom/netvisor/netvisor_out_in_to_in.json",
  "curl_option":  {"skip_verify_peer": true, "skip_verify_host": true},
  "database": "4d",
  "main_table": "inv",
  "row_table": ["invr"],
  "linked_table": ["co", "cur", "top", "soc", "em", "pr"],
  "record_id_field": "inv_record_id",
  "transfer_id_field": "inv_transfer_id",
  "password": "",
  "username": "",
  "ftpz": "",
  "file_path": "C:/netvisor/",
  "file_name": "Invoice_",
  "file_type": ".xml",
  "urlz": "http://integration.netvisor.fi/salesinvoice.nv?Method=add",
  "url": "http://integrationdemo.netvisor.fi/salesinvoice.nv?Method=add",
  "rest_header": {
    "Content-Type": "text/plain",
    "X-Netvisor-Interface-Language": "FI",
    "X-Netvisor-Authentication-MACHashCalculationAlgorithm": "SHA256",
    "X-Netvisor-Authentication-TransactionId": "{{transaction}}",
    "X-Netvisor-Authentication-Timestamp": "{{timestamp}}",
    "X-Netvisor-Authentication-MAC": "{{mac}}",
    "X-Netvisor-Authentication-Sender": "Manager",
    "X-Netvisor-Organisation-ID": "0849338-0",
    "X-Netvisor-Authentication-PartnerId": "Man_xxx",
    "X-Netvisor-Authentication-CustomerId": "MD_zzz"
  },
  "customer_key":"zzz",
  "partner_key":"xxx",
  "mac_key":"http://integrationdemo.netvisor.fi/salesinvoice.nv?Method=add&{{X-Netvisor-Authentication-Sender}}&{{X-Netvisor-Authentication-CustomerId}}&{{X-Netvisor-Authentication-Timestamp}}&{{X-Netvisor-Interface-Language}}&{{X-Netvisor-Organisation-ID}}&{{X-Netvisor-Authentication-TransactionId}}&zzz&xxx",
  "mac_example":"http://integrationdemo.netvisor.fi/accounting.nv&{{X-Netvisor-Authentication-Sender}}&{{X-Netvisor-Authentication-CustomerId}}&{{X-Netvisor-Authentication-Timestamp}}&{{X-Netvisor-Interface-Language}}&{{X-Netvisor-Organisation-ID}}&{{X-Netvisor-Authentication-TransactionId}}&{{customer_key}}&{{partner_key}}",
  "country_code": {
   "allow_undefined_key": true,
   "": "FI",
   "fin": "FI",
   "FIN": "FI",
   "suomi": "FI",
   "Suomi": "FI",
   "SUOMI": "FI",
   "finland": "FI",
   "Finland": "FI",
   "FINLAND": "FI",
   "suomi/finland": "FI",
   "Suomi/Finland": "FI",
   "SUOMI/FINLAND": "FI",
   "default_missing_tag": "FI",
   "default_no_match": "FI"
 }
}
